CREATE TABLE fnd_user_migration_completed (
    MIGRATION_USER_ID    NUMBER(18, 0) ,
    USER_NAME            VARCHAR2(400)     NOT NULL,
    LAST_NAME            VARCHAR2(600)     NOT NULL,
    FIRST_NAME           VARCHAR2(600) ,
    EMAIL_ADDRESS        VARCHAR2(960)     NOT NULL,
    USER_ID              NUMBER(18, 0)     NOT NULL,
    OPERATION_TYPE       VARCHAR2(80)  ,
    TARGET               VARCHAR2(40)      NOT NULL,
    TARGET_ID            VARCHAR2(1024),
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    MIGRATION_USER_ID    NUMBER(18, 0) ,
    USER_NAME            VARCHAR2(400)     NOT NULL,
    LAST_NAME            VARCHAR2(600)     NOT NULL,
    FIRST_NAME           VARCHAR2(600) ,
    EMAIL_ADDRESS        VARCHAR2(960)     NOT NULL,
    USER_ID              NUMBER(18, 0)     NOT NULL,
    OPERATION_TYPE       VARCHAR2(80)  ,
    TARGET               VARCHAR2(40)      NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    TARGET_ID            VARCHAR2(1024),
    CONSTRAINT pk_fnd_user_migration_completed PRIMARY KEY (MIGRATION_USER_ID, MIGRATION_USER_ID)
);
